Linux web-conference.aiou.edu.pk 5.4.0-204-generic #224-Ubuntu SMP Thu Dec 5 13:38:28 UTC 2024 x86_64
Apache/2.4.41 (Ubuntu)
: 172.16.50.247 | : 18.225.98.190
Cant Read [ /etc/named.conf ]
7.4.3-4ubuntu2.28
www-data
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
BLACK DEFEND!
README
+ Create Folder
+ Create File
/
etc /
rc2.d /
[ HOME SHELL ]
Name
Size
Permission
Action
K01apache-htcacheclean
2.43
KB
-rwxr-xr-x
S01apache2
7.99
KB
-rwxr-xr-x
S01apport
2.85
KB
-rwxr-xr-x
S01atd
1.05
KB
-rwxr-xr-x
S01console-setup.sh
1.2
KB
-rwxr-xr-x
S01cron
2.99
KB
-rwxr-xr-x
S01dbus
3.08
KB
-rwxr-xr-x
S01grub-common
985
B
-rwxr-xr-x
S01irqbalance
2.58
KB
-rwxr-xr-x
S01lvm2-lvmpolld
586
B
-rwxr-xr-x
S01multipath-tools
2.76
KB
-rwxr-xr-x
S01mysql
5.48
KB
-rwxr-xr-x
S01open-vm-tools
1.8
KB
-rwxr-xr-x
S01plymouth
1.33
KB
-rwxr-xr-x
S01rsync
4.31
KB
-rwxr-xr-x
S01rsyslog
2.8
KB
-rwxr-xr-x
S01ssh
3.85
KB
-rwxr-xr-x
S01unattended-upgrades
1.36
KB
-rwxr-xr-x
S01uuidd
1.28
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : S01rsync
#! /bin/sh ### BEGIN INIT INFO # Provides: rsyncd # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Should-Start: $named autofs # Default-Start: 2 3 4 5 # Default-Stop: # Short-Description: fast remote file copy program daemon # Description: rsync is a program that allows files to be copied to and # from remote machines in much the same way as rcp. # This provides rsyncd daemon functionality. ### END INIT INFO set -e # /etc/init.d/rsync: start and stop the rsync daemon DAEMON=/usr/bin/rsync RSYNC_ENABLE=false RSYNC_OPTS='' RSYNC_DEFAULTS_FILE=/etc/default/rsync RSYNC_CONFIG_FILE=/etc/rsyncd.conf RSYNC_PID_FILE=/var/run/rsync.pid RSYNC_NICE_PARM='' RSYNC_IONICE_PARM='' test -x $DAEMON || exit 0 . /lib/lsb/init-functions if [ -s $RSYNC_DEFAULTS_FILE ]; then . $RSYNC_DEFAULTS_FILE case "x$RSYNC_ENABLE" in xtrue|xfalse) ;; xinetd) exit 0 ;; *) log_failure_msg "Value of RSYNC_ENABLE in $RSYNC_DEFAULTS_FILE must be either 'true' or 'false';" log_failure_msg "not starting rsync daemon." exit 1 ;; esac case "x$RSYNC_NICE" in x[0-9]|x1[0-9]) RSYNC_NICE_PARM="--nicelevel $RSYNC_NICE";; x) ;; *) log_warning_msg "Value of RSYNC_NICE in $RSYNC_DEFAULTS_FILE must be a value between 0 and 19 (inclusive);" log_warning_msg "ignoring RSYNC_NICE now." ;; esac case "x$RSYNC_IONICE" in x-c[123]*) RSYNC_IONICE_PARM="$RSYNC_IONICE";; x) ;; *) log_warning_msg "Value of RSYNC_IONICE in $RSYNC_DEFAULTS_FILE must be -c1, -c2 or -c3;" log_warning_msg "ignoring RSYNC_IONICE now." ;; esac fi export PATH="${PATH:+$PATH:}/usr/sbin:/sbin" rsync_start() { if [ ! -s "$RSYNC_CONFIG_FILE" ]; then log_failure_msg "missing or empty config file $RSYNC_CONFIG_FILE" log_end_msg 1 exit 0 fi # See ionice(1) if [ -n "$RSYNC_IONICE_PARM" ] && [ -x /usr/bin/ionice ] && /usr/bin/ionice "$RSYNC_IONICE_PARM" true 2>/dev/null; then /usr/bin/ionice "$RSYNC_IONICE_PARM" -p$$ > /dev/null 2>&1 fi if start-stop-daemon --start --quiet --background \ --pidfile $RSYNC_PID_FILE --make-pidfile \ $RSYNC_NICE_PARM --exec $DAEMON \ -- --no-detach --daemon --config "$RSYNC_CONFIG_FILE" $RSYNC_OPTS then rc=0 sleep 1 if ! kill -0 $(cat $RSYNC_PID_FILE) >/dev/null 2>&1; then log_failure_msg "rsync daemon failed to start" rc=1 fi else rc=1 fi if [ $rc -eq 0 ]; then log_end_msg 0 else log_end_msg 1 rm -f $RSYNC_PID_FILE fi } # rsync_start case "$1" in start) if "$RSYNC_ENABLE"; then log_daemon_msg "Starting rsync daemon" "rsync" if [ -s $RSYNC_PID_FILE ] && kill -0 $(cat $RSYNC_PID_FILE) >/dev/null 2>&1; then log_progress_msg "apparently already running" log_end_msg 0 exit 0 fi rsync_start else if [ -s "$RSYNC_CONFIG_FILE" ]; then [ "$VERBOSE" != no ] && log_warning_msg "rsync daemon not enabled in $RSYNC_DEFAULTS_FILE, not starting..." fi fi ;; stop) log_daemon_msg "Stopping rsync daemon" "rsync" start-stop-daemon --stop --quiet --oknodo --retry 30 --pidfile $RSYNC_PID_FILE RETVAL="$?" log_end_msg $RETVAL if [ $RETVAL != 0 ] then exit 1 fi rm -f $RSYNC_PID_FILE ;; reload|force-reload) log_warning_msg "Reloading rsync daemon: not needed, as the daemon" log_warning_msg "re-reads the config file whenever a client connects." ;; restart) set +e if $RSYNC_ENABLE; then log_daemon_msg "Restarting rsync daemon" "rsync" if [ -s $RSYNC_PID_FILE ] && kill -0 $(cat $RSYNC_PID_FILE) >/dev/null 2>&1; then start-stop-daemon --stop --quiet --oknodo --retry 30 --pidfile $RSYNC_PID_FILE else log_warning_msg "rsync daemon not running, attempting to start." rm -f $RSYNC_PID_FILE fi rsync_start else if [ -s "$RSYNC_CONFIG_FILE" ]; then [ "$VERBOSE" != no ] && log_warning_msg "rsync daemon not enabled in $RSYNC_DEFAULTS_FILE, not starting..." fi fi ;; status) status_of_proc -p $RSYNC_PID_FILE "$DAEMON" rsync exit $? # notreached due to set -e ;; *) echo "Usage: /etc/init.d/rsync {start|stop|reload|force-reload|restart|status}" exit 1 esac exit 0
Close